release : Release/libOdemX.a

include buildTools.make includePath.make
include library.make

CXXFLAGS=-O3 -D NDEBUG -Wno-sign-compare

Release/%.o : %.cpp
	@echo Compile $< to target $@
	@$(CXX) -c $(CXXFLAGS) $(INCLUDEPATHS) $< -o $@ 2>>error.log || echo error

Release/libOdemX.a : $(RELEASE_OBJECTS)
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	else echo Building archive; ar rs $@ $(RELEASE_OBJECTS);\
	fi

